Package Details: deepspeech-git 0.1.1-4

Git Clone URL: https://aur.archlinux.org/deepspeech-git.git (read-only, click to copy)
Package Base: deepspeech-git
Description: A TensorFlow implementation of Baidu's DeepSpeech architecture
Upstream URL: https://github.com/mozilla/DeepSpeech
Licenses: MPL2
Submitter: onny
Maintainer: None
Last Packager: onny
Votes: 0
Popularity: 0.000000
First Submitted: 2018-03-27 16:23
Last Updated: 2018-03-27 20:19

Latest Comments

leuko commented on 2020-07-24 04:34

wget is an additional dependency for deepspeech-git

INFO: Build completed successfully, 2333 total actions
c++  -std=c++11 -o deepspeech `pkg-config --cflags sox` -fopenmp client.cc -Wl,--no-as-needed -Wl,-rpath,\$ORIGIN -L/home/arch/.cache/pikaur/build/deepspeech/src/tensorflow/bazel-bin/native_client  -ldeepspeech  -lsox -Wl,-no-undefined
make: Entering directory '/home/arch/.cache/pikaur/build/deepspeech/src/DeepSpeech-0.7.4/native_client/python'
mkdir -p /home/arch/.cache/pikaur/build/deepspeech/src/DeepSpeech-0.7.4/native_client/ds-swig
wget -O - ""https://community-tc.services.mozilla.com/api/index/v1/task/project.deepspeech.swig.linux.amd64.b5fea54d39832d1d132d7dd921b69c0c2c9d5118/artifacts/public/ds-swig.tar.gz"" | tar -C /home/arch/.cache/pikaur/build/deepspeech/src/DeepSpeech-0.7.4/native_client/ds-swig -zxf -
/bin/sh: wget: command not found

leuko commented on 2020-07-24 04:26

deepspeech-git does not work with bazel-git. Install basel024-bin

kinoe commented on 2020-01-11 08:47

Doesn't build> output:

WARNING: The following rc files are no longer being read, please transfer their contents or import their path into one of the standard rc files: /home/kinoe/.cache/yay/deepspeech/src/tensorflow/tools/bazel.rc

FATAL: Could not find system javabase. Ensure JAVA_HOME is set, or javac is on your PATH.

Traceback (most recent call last):

File "configure.py", line 1455, in <module> main() File "configure.py", line 1346, in main check_bazel_version('0.5.4') File "configure.py", line 459, in check_bazel_version curr_version = run_shell(['bazel', '--batch', 'version']) File "configure.py", line 154, in run_shell output = subprocess.check_output(cmd) File "/usr/lib/python3.8/subprocess.py", line 411, in check_output return run(*popenargs, stdout=PIPE, timeout=timeout, check=True, File "/usr/lib/python3.8/subprocess.py", line 512, in run raise CalledProcessError(retcode, process.args, subprocess.CalledProcessError: Command '['bazel', '--batch', 'version']' returned non-zero exit status 36.

==> ERROR: An error happened in build (). Aborting ...

Error making: deepspeech

Peuc commented on 2018-11-28 18:51

I can confirm it doesn't build:

Starting local Bazel server and connecting to it...
ERROR: Skipping '//native_client:libctc_decoder_with_kenlm.so': no such target '//native_client:libctc_decoder_with_kenlm.so': target 'libctc_decoder_with_kenlm.so' not declared in package 'native_client' defined by /tmp/deepspeech-git/src/tensorflow/native_client/BUILD
WARNING: Target pattern parsing failed.
ERROR: no such target '//native_client:libctc_decoder_with_kenlm.so': target 'libctc_decoder_with_kenlm.so' not declared in package 'native_client' defined by /tmp/deepspeech-git/src/tensorflow/native_client/BUILD
INFO: Elapsed time: 1.110s
INFO: 0 processes.
FAILED: Build did NOT complete successfully (1 packages loaded)

nipsky commented on 2018-07-18 13:21

Hi, building fails for me with:

Extracting Bazel installation... WARNING: --batch mode is deprecated. Please instead explicitly shut down your Bazel server using the command "bazel shutdown". You have bazel 0.15.1- (@non-git) installed. Preconfigured Bazel build configs. You can use any of the below by adding "--config=<>" to your build command. See tools/bazel.rc for more details. --config=mkl # Build with MKL support. --config=monolithic # Config for mostly static monolithic build. Configuration finished Starting local Bazel server and connecting to it... .......... ERROR: /home/andre/.cache/bazel/_bazel_andre/1d222af20eb2620ef0d76f44540b2f0a/external/jpeg/BUILD:126:12: Illegal ambiguous match on configurable attribute "deps" in @jpeg//:jpeg: @jpeg//:k8 @jpeg//:armeabi-v7a Multiple matches are not allowed unless one is unambiguously more specialized. ERROR: Analysis of target '//native_client:libctc_decoder_with_kenlm.so' failed; build aborted:

/home/andre/.cache/bazel/_bazel_andre/1d222af20eb2620ef0d76f44540b2f0a/external/jpeg/BUILD:126:12: Illegal ambiguous match on configurable attribute "deps" in @jpeg//:jpeg: @jpeg//:k8 @jpeg//:armeabi-v7a Multiple matches are not allowed unless one is unambiguously more specialized. INFO: Elapsed time: 14.737s INFO: 0 processes. FAILED: Build did NOT complete successfully (43 packages loaded)